package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazEvain;

/**
 * 危险源评价内部 数据层
 */
@Mapper
public interface TBusiHazEvainMapper {

    /**
     * 查询危险源评价内部信息
     * @param guid 查询条件
     * @return 危险源评价内部信息
     */
    TBusiHazEvain selectTBusiHazEvainByGuid(String guid);

    /**
     * 查询危险源评价内部列表
     * @param tBusiHazEvain 危险源评价内部查询条件
     * @return 危险源评价内部集合
     */
    List<TBusiHazEvain> selectTBusiHazEvainList(TBusiHazEvain tBusiHazEvain);

    /**
     * 新增危险源评价内部
     * @param tBusiHazEvain 危险源评价内部信息
     * @return 影响行数
     */
    int insertTBusiHazEvain(TBusiHazEvain tBusiHazEvain);

    /**
     * 修改危险源评价内部
     * @param tBusiHazEvain 危险源评价内部信息
     * @return 影响行数
     */
    int updateTBusiHazEvain(TBusiHazEvain tBusiHazEvain);

    /**
     * 删除危险源评价内部
     * @param guid 危险源评价内部主键
     * @return 影响行数
     */
    int deleteTBusiHazEvainByGuid(String guid);

    /**
     * 批量删除危险源评价内部
     * @param guids 危险源评价内部主键数组
     * @return 影响行数
     */
    int deleteTBusiHazEvainByGuids(String[] guids);
}
